Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

The “List Subscriptions” API allows to retrieve a paginated list of subscriptions. Customize your results by filtering subscriptions based on name, alt type, subscription status, payment mode, date range, type of source, contact, subscription id, entity id, contact or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve subscription information.
GET https://services.leadconnectorhq.com/payments/subscriptions

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Query parameters

altId
string
default:"3SwdhCu3svxI8AKsPJt6"
required
AltId is the unique identifier e.g: account id.
altType
string
default:"account"
required
AltType is the type of identifier.
entityId
string
default:"61dd0fe9c077f73e67f78803"
Entity id for filtering of subscriptions.
paymentMode
string
default:"live"
Mode of payment.
startAt
string
default:"2024-02-01"
Starting interval of subscriptions.
endAt
string
default:"2024-02-13"
Closing interval of subscriptions.
entitySourceType
string
default:"funnel"
Source of the subscriptions.
The name of the subscription for searching.
contactId
string
default:"AmuzcoPBpgKeccNsFlib"
Contact ID for the subscription
id
string
default:"64bf78af39118e4011926cba"
Subscription id for filtering of subscriptions.
limit
number
default:"20"
The maximum number of items to be included in a single page of results
offset
number
default:"0"
The starting index of the page, indicating the position from which the results should be retrieved.
getPaymentsCollectedCount
boolean
default:"true"
Get the total payments collected for the subscription.

Respuestas

data
object[]
required
An array of subscriptions
totalCount
number
required
total subscriptions count
{
  "data": [
    {
      "_id": "64bf78af39118e4011926cba",
      "altId": "3SwdhCu3svxI8AKsPJt6",
      "altType": "account",
      "contactId": "XPLSw2SVagl12LMDeTmQ",
      "contactName": "James Bond",
      "contactEmail": "james.bond@leadwaycrm.com",
      "currency": "USD",
      "amount": "100",
      "status": "active",
      "liveMode": "false",
      "entityType": "order",
      "entityId": "62f4db0f3059ecee61379012",
      "entitySourceType": "funnel",
      "entitySourceName": "Attribution Funnel",
      "entitySourceId": "bevrkPbLaDNXFaqfLKMm",
      "entitySourceMeta": "{ domain: \"app.leadwaycrm.com\", pageId:  \"sxC4lNhFIavEnLZh5KhC\", pageUrl:  \"/v2/preview/sxC4lNhFIavEnLZh5KhC\", stepId: \"7d303d1f-cb85-403d-b548-bf01de5c7bb0\" }",
      "subscriptionId": "I-0UE609H8E43P",
      "subscriptionSnapshot": "{ status: \"ACTIVE\", status_update_time: \"2022-08-16T11:06:53Z\", id: \"I-0UE609H8E43P\", plan_id: \"P-82K11750F0313430KMLRGE6Y\", start_time: \"2022-08-16T11:05:31Z\", quantity: 1 }",
      "paymentProviderType": "stripe",
      "paymentProviderConnectedAccount": "ATn0CqrzrWS5ak185Bsb1xCpyzBDOZ8WdRxyFotppLYePTDhiuQ49H5QXO_L-4HKk1GBn7f9_QhbNK2s",
      "ipAddress": "103.100.16.82",
      "createdAt": "2023-11-20T10:23:36.515Z",
      "updatedAt": "2023-11-20T10:23:36.515Z",
      "createdBy": "user123"
    }
  ],
  "totalCount": 0
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/payments/subscriptions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'